Creates EvFork watcher object associated with the current event loop instance

- « EvLoop::embed

- EvLoop::idle »

- PHP Manual
- EvLoop
- Creates EvFork watcher object associated with the current event loop instance

# EvLoop::fork

(PECL ev >= 0.2.0)

EvLoop::fork — Creates EvFork watcher object associated with the current event loop instance

### Description

final public EvLoop::fork( callable `$callback` , mixed `$data` = `null` , int `$priority` = 0 ): EvFork

Creates EvFork watcher object associated with the current event loop instance

### Parameters

All parameters have the same meaning as for EvFork::__construct()

### Return Values

Returns EvFork object on success.

### See Also

- EvFork::__construct() - Constructs the EvFork watcher object